

# DeleteAssetModelInterfaceRelationship


Deletes an interface relationship between an asset model and an interface asset model.

## Request Syntax


```
DELETE /asset-models/assetModelId/interface/interfaceAssetModelId/asset-model-interface-relationship?clientToken=clientToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [assetModelId](#API_DeleteAssetModelInterfaceRelationship_RequestSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-request-uri-assetModelId"></a>
The ID of the asset model. This can be either the actual ID in UUID format, or else externalId: followed by the external ID.  
Length Constraints: Minimum length of 13. Maximum length of 139.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$|^externalId:[a-zA-Z0-9_][a-zA-Z_\-0-9.:]*[a-zA-Z0-9_]+`   
Required: Yes

 ** [clientToken](#API_DeleteAssetModelInterfaceRelationship_RequestSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-request-uri-clientToken"></a>
A unique case-sensitive identifier that you can provide to ensure the idempotency of the request. Don't reuse this client token if a new idempotent request is required.  
Length Constraints: Minimum length of 36. Maximum length of 64.  
Pattern: `\S{36,64}` 

 ** [interfaceAssetModelId](#API_DeleteAssetModelInterfaceRelationship_RequestSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-request-uri-interfaceAssetModelId"></a>
The ID of the interface asset model. This can be either the actual ID in UUID format, or else externalId: followed by the external ID.  
Length Constraints: Minimum length of 13. Maximum length of 139.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$|^externalId:[a-zA-Z0-9_][a-zA-Z_\-0-9.:]*[a-zA-Z0-9_]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 202
Content-type: application/json

{
   "assetModelArn": "string",
   "assetModelId": "string",
   "assetModelStatus": { 
      "error": { 
         "code": "string",
         "details": [ 
            { 
               "code": "string",
               "message": "string"
            }
         ],
         "message": "string"
      },
      "state": "string"
   },
   "interfaceAssetModelId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [assetModelArn](#API_DeleteAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-response-assetModelArn"></a>
The ARN of the asset model, which has the following format. `arn:${Partition}:iotsitewise:${Region}:${Account}:asset-model/${AssetModelId}`   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$` 

 ** [assetModelId](#API_DeleteAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-response-assetModelId"></a>
The ID of the asset model.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

 ** [assetModelStatus](#API_DeleteAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-response-assetModelStatus"></a>
Contains current status information for an asset model. For more information, see [Asset and model states](https://docs.amazonaws.cn/iot-sitewise/latest/userguide/asset-and-model-states.html) in the * Amazon IoT SiteWise User Guide*.  
Type: [AssetModelStatus](API_AssetModelStatus.md) object

 ** [interfaceAssetModelId](#API_DeleteAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DeleteAssetModelInterfaceRelationship-response-interfaceAssetModelId"></a>
The ID of the interface asset model.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictingOperationException **   
Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.    
 ** resourceArn **   
The ARN of the resource that conflicts with this operation.  
 ** resourceId **   
The ID of the resource that conflicts with this operation.
HTTP Status Code: 409

 ** InternalFailureException **   
 Amazon IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of Amazon IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.amazonaws.cn/iot-sitewise/latest/userguide/quotas.html) in the * Amazon IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotsitewise-2019-12-02/DeleteAssetModelInterfaceRelationship) 